Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1300730

Summary: odfpy: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Petr Viktorin (pviktori) <pviktori>
Component: odfpyAssignee: Paul W. Frields <stickster>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: cstratak, dkrejci, ishcherb, jberan, stickster
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: odfpy-1.3.4-2.fc26 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-01 16:59:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1312032    
Attachments:
Description Flags
Update to 1.3.3 version including Python 3 subpackage
none
Update to 1.3.4 and provide Python 3 subpackage none

Description Petr Viktorin (pviktori) 2016-01-21 15:00:16 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.

Note that the upstream homepage in the package is dead; a new page is at: https://pypi.python.org/pypi/odfpy


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Charalampos Stratakis 2016-02-15 15:48:12 UTC
Ping?

No response as of yet from the maintainer.

Also latest upstream version: 1.3.2

Comment 2 Jan Kurik 2016-02-24 14:18:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Dominika Krejčí 2016-05-11 12:00:18 UTC
Hello Paul,

do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/

Comment 4 Jan Beran 2016-11-01 14:40:15 UTC
Created attachment 1216137 [details]
Update to 1.3.3 version including Python 3 subpackage

Comment 5 Iryna Shcherbina 2017-03-03 16:55:06 UTC
Created attachment 1259608 [details]
Update to 1.3.4 and provide Python 3 subpackage

Hello Paul,

you may find the change needed to provide Python 3 subpackage attached. I have incorporated Jan's changes into a patch and updated to the latest upstream version (1.3.4). Please review it and apply the change.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18161970

Comment 6 Fedora Update System 2017-03-09 14:12:33 UTC
odfpy-1.3.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-716877df54

Comment 7 Fedora Update System 2017-03-10 23:23:48 UTC
odfpy-1.3.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-716877df54

Comment 8 Fedora Update System 2017-03-13 10:37:09 UTC
odfpy-1.3.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8832a13328

Comment 9 Fedora Update System 2017-03-14 03:21:20 UTC
odfpy-1.3.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8832a13328

Comment 10 Fedora Update System 2017-04-01 16:59:53 UTC
odfpy-1.3.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.